How To Install Darktable 2.0.6 On Ubuntu 16.04, Ubuntu 15.10, Ubuntu 14.04 And Derivative Systems

As you may know, Darktable is an open-source photo workflow application and RAW developers, managing digital negatives in a database and allowing the users to view them through a zoomable light table. Also, the users can develop and enhance raw images.

The latest version available is Darktable 2.0.6, which comes with a huge list of changes.

New Features

  • Jpeg format writer: use libexiv2 to write metadata, like with other formats
  • Accept non-mosaiced raw files with 4 channels, assume they are RGBA (alpha channel is ignored)

Bugfixes

  • Once again, fix for yet another gtk theming regression…
  • OpenCL: properly discard CPU-based OpenCL devices. Fixes crashes on startup with some broken OpenCL implementations like pocl.
  • darktable-cli: do not even try to open display, we don’t need it.
  • Rawspeed: NikonDecoder: stop accepting generic camera entries. Fixes multitude of Nikon raw loading issues.
  • OpenCL: fix border handling in crop&rotate module
  • Hotpixels iop: make it actually work for X-Trans
  • Clipping IOP: scale width of gray crop path with zoom level
  • One more fixup to canon lens name reading from exif
  • Fixup Bayer pattern for Olympus SP570UZ
  • Fix internal build issue: do not assume that Perl’s @INC contains ‘.’

Base Support

  • Canon EOS-1D X Mark II
  • Canon EOS 1300D
  • Canon EOS Kiss X80
  • Canon EOS Rebel T6
  • Canon EOS M10
  • Canon PowerShot G7 X Mark II
  • Canon PowerShot G9 X
  • Fujifilm X-T2
  • GITUP GIT2 action camera
  • Panasonic DMC-FZ18 (16:9, 3:2)
  • Panasonic DMC-FZ50 (16:9, 3:2)
  • Pentax K-1
  • Sony DSLR-A380
  • Sony ILCE-6300
  • Nikon D500
  • Some other whitelevel fixups for some other Nikon cameras (in particular, mostly for 12-bit and not compressed raws)

White Balance Presets

  • Canon EOS-1D X Mark II
  • Canon EOS 1300D
  • Canon EOS Kiss X80
  • Canon EOS Rebel T6
  • Canon EOS M10
  • Canon PowerShot G7 X Mark II
  • Fujifilm X-T10
  • Sony ILCE-6300

Installation instructions:

Darktable is available via some third party PPA, so installing Darktable on Ubuntu is piece of cake. All you need to do is add the PPA to your system, update the local repository index and install the darktable package:

$ sudo add-apt-repository ppa:pmjdebruijn/darktable-release
$ sudo apt-get update
$ sudo apt-get install darktable

Optional, to remove Darktable, do:

$ sudo apt-get remove darktable

The installation instructions should work on Ubuntu 16.04 Xenial Xerus, Ubuntu 15.10 Wily Werewolf, Ubuntu 14.04 Trusty Tahr and derivative systems like Linux Mint 17.3 Rosa, Linux Mint 17.2 Rafaela, Linux Mint 17.1 Rebecca, Linux Mint 17 Qiana, Elementary OS 0.3 Freya and other Ubuntu derivative systems.

Share and Enjoy

  • Twitter
  • Facebook
  • Google Plus
  • Email
  • RSS
Tagged with: , , , , , , , , , , , , ,
Posted in The Linux and Unix Articles!

Leave a Reply

Your email address will not be published. Required fields are marked *

*

Subscribe

  

Subscribe to get the latest Linux news and how to guides directly on your e-mail!